Bug 1277815 - [infrastructure_public_202]When describe a HorizontalPodAutoscaler the "Min pods" number is overflow
[infrastructure_public_202]When describe a HorizontalPodAutoscaler the "Min p...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Solly Ross
Jianwei Hou
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 01:38 EST by DeShuai Ma
Modified: 2015-11-23 16:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:17:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DeShuai Ma 2015-11-04 01:38:44 EST
Description of problem:
Create a hpa then describe it, the "Min pods" number is overflow.

Version-Release number of selected component (if applicable):
openshift v1.0.7-203-geebdecd
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

How reproducible:
Always

Steps to Reproduce:
1.Create a hpa
[fedora@ip-172-18-15-150 sample-app]$ cat hpa.yaml 
apiVersion: extensions/v1beta1
kind: HorizontalPodAutoscaler
metadata:
  name: php-apache
spec:
  maxReplicas: 10
  minReplicas: 1
  scaleRef:
    kind: ReplicationController
    name: php-apache
    namespace: default
  cpuUtilization:
    targetPercentage: 10
$ oc create -f hpa.yaml -n dma

2.Describe the hpa
[fedora@ip-172-18-15-150 sample-app]$ oc describe hpa/php-apache -n dma
Name:				php-apache
Namespace:			dma
Labels:				<none>
CreationTimestamp:		Wed, 04 Nov 2015 01:51:00 +0000
Reference:			DeploymentConfig/default/php-apache/
Target CPU utilization:		10%
Current CPU utilization:	<not available>
Min pods:			859533940640
Max pods:			10

Actual results:
2.The Min pods is 859533940640

Expected results:
2.The Min pods should is 1

Additional info:
Should cherry-pick from upstream pr https://github.com/kubernetes/kubernetes/pull/16025
Comment 1 DeShuai Ma 2015-11-11 01:52:48 EST
The bug is fixed in latest openshfit version. verify this bug.
[fedora@ip-172-18-15-226 sample-app]$ openshift version
openshift v1.0.8-16-gd81eca7-dirty
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

[fedora@ip-172-18-15-226 sample-app]$ oc describe hpa/php-apache -n dma
Name:				php-apache
Namespace:			dma
Labels:				<none>
CreationTimestamp:		Wed, 11 Nov 2015 05:52:14 +0000
Reference:			DeploymentConfig/php-apache/scale
Target CPU utilization:		50%
Current CPU utilization:	0%
Min replicas:			1
Max replicas:			10

Note You need to log in before you can comment on or make changes to this bug.